libzypp 17.37.10

ztui::ansi::ColorTraits< Color::Constant > Struct Reference

`#include <zypp-tui/utils/ansi.h>`

## Public Types
enum | { customColorCtor = true }
enum |

## Related Symbols
(Note that these are not member symbols.)
using | EnableIfCustomColorCtor
| <Tp_> SFINAE: hide template signatures unless enum is enabled in ColorTraits
using | DisableIfCustomColorCtor
| <Tp_> SFINAE: hide template signatures unless enum is enabled in ColorTraits

## Detailed Description

Definition at line 469 of file ansi.h.

## Member Enumeration Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
customColorCtor |

Definition at line 470 of file ansi.h.

## ◆ anonymous enum

anonymous enum

Definition at line 147 of file ansi.h.

## Friends And Related Symbol Documentation

## ◆ EnableIfCustomColorCtor

using EnableIfCustomColorCtor
| related

<Tp_> SFINAE: hide template signatures unless enum is enabled in ColorTraits

Definition at line 152 of file ansi.h.

## ◆ DisableIfCustomColorCtor

using DisableIfCustomColorCtor
| related

<Tp_> SFINAE: hide template signatures unless enum is enabled in ColorTraits

Definition at line 156 of file ansi.h.

The documentation for this struct was generated from the following file:

- zypp-tui/utils/ansi.h